Bug 1014963 - Package.__lt__ and Package.__gt__ return incorrect results
Package.__lt__ and Package.__gt__ return incorrect results
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hawkey (Show other bugs)
20
All Linux
low Severity low
: ---
: ---
Assigned To: Radek Holy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 04:29 EDT by Heiko Adams
Modified: 2015-10-05 22:14 EDT (History)
6 users (show)

See Also:
Fixed In Version: hawkey-0.4.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 21:30:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2013-10-03 04:29:46 EDT
Description of problem:
When running dnf check-update the retrieved list of available update looks unsorted but it should be sorted alphabeticly for easier handling.

Version-Release number of selected component (if applicable):
dnf-0.4.2-1.gitc1716d7.fc20.noarch

How reproducible:
allways

Steps to Reproduce:
1. Open a terminal
2. run dnf check-update
3.

Actual results:
The retrieved list of available update is unsorted

Expected results:
The list of updates should be sorted alphabeticly

Additional info:
Comment 1 Ales Kozumplik 2013-10-03 06:30:50 EDT
Hi, thanks for the report, we'll take a look.
Comment 2 Ales Kozumplik 2013-12-04 07:54:10 EST
Radek please look at this one. I was thinking this would be a nice bug for a newcomer the one who was looking at it didn't solve it and it's been hanging around for 2 months now.
Comment 3 Radek Holy 2013-12-09 09:36:16 EST
There is a bug in rich comparison methods of _hawkey.Package.
Comment 4 Radek Holy 2013-12-17 03:28:59 EST
Fixed by 865274d31be436807693327d31d52385ba52cee4 on master.
Comment 5 Fedora Update System 2013-12-17 09:05:01 EST
hawkey-0.4.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hawkey-0.4.7-1.fc20
Comment 6 lnie 2013-12-17 22:56:52 EST
0.4.7-1 works fine
Comment 7 Fedora Update System 2013-12-19 02:07:30 EST
Package hawkey-0.4.7-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.4.7-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23543/hawkey-0.4.7-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-12-20 21:30:19 EST
hawkey-0.4.7-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.